/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.screamingcoder.plebeians.discovery;

/**
 * Thrown if there's an error during Web Bean discoery that will stop the
 * manager from starting up.
 * @author pete (at screamingcoder.com)
 */
public class WebBeanDiscoveryException extends RuntimeException {

    public WebBeanDiscoveryException(Throwable cause) {
        super(cause);
    }

    public WebBeanDiscoveryException(String message, Throwable cause) {
        super(message, cause);
    }

    public WebBeanDiscoveryException(String message) {
        super(message);
    }
    
}
